org.eclipse.eef

## Interface EEFButtonStyle

All Superinterfaces:
  EEFWidgetStyle, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFButtonStyleImpl

    public interface EEFButtonStyle
    extends EEFWidgetStyle

A representation of the model object 'EEF Button Style'. Represents a style that can be applied on button widgets.

See Also:
  `EefPackage.getEEFButtonStyle()`

### Method Summary

### Methods inherited from interface org.eclipse.eef.EEFWidgetStyle

`getLabelBackgroundColorExpression, getLabelFontNameExpression, getLabelFontSizeExpression, getLabelFontStyleExpression, getLabelForegroundColorExpression, setLabelBackgroundColorExpression, setLabelFontNameExpression, setLabelFontSizeExpression, setLabelFontStyleExpression, setLabelForegroundColorExpression`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`